## eog-thumbnail

eog-thumbnail

## Functions

void | eog_thumbnail_init ()
GdkPixbuf * | eog_thumbnail_fit_to_size ()
GdkPixbuf * | eog_thumbnail_add_frame ()
GdkPixbuf * | eog_thumbnail_load ()

## Types and Values

#define | EOG_THUMBNAIL_ORIGINAL_WIDTH
#define | EOG_THUMBNAIL_ORIGINAL_HEIGHT

## Description

## Functions

### eog_thumbnail_init ()

    void
    eog_thumbnail_init (void);

### eog_thumbnail_fit_to_size ()

    GdkPixbuf *
    eog_thumbnail_fit_to_size (GdkPixbuf *thumbnail,
                               gint dimension);

Ensures a pixbuf fits a given `dimension`

#### Parameters

thumbnail | a GdkPixbuf |
dimension | the maximum width or height desired |

#### Returns

a new GdkPixbuf.

[transfer full]

### eog_thumbnail_add_frame ()

    GdkPixbuf *
    eog_thumbnail_add_frame (GdkPixbuf *thumbnail);

Adds a frame to `thumbnail`

#### Parameters

thumbnail | a GdkPixbuf |

#### Returns

a new GdkPixbuf, storing `thumbnail` nicely framed.

[transfer full]

### eog_thumbnail_load ()

    GdkPixbuf *
    eog_thumbnail_load (EogImage *image,
                        GError **error);

Loads the thumbnail for `image` . In case of error, `NULL` is returned and `error` is set.

#### Parameters

image | a EogImage |
error | location to store the error ocurring or `NULL` to ignore |

#### Returns

a new GdkPixbuf with the thumbnail for `image` or `NULL` in case of error.

[transfer full]

## Types and Values

### EOG_THUMBNAIL_ORIGINAL_WIDTH

    #define EOG_THUMBNAIL_ORIGINAL_WIDTH  "eog-thumbnail-orig-width"

### EOG_THUMBNAIL_ORIGINAL_HEIGHT

    #define EOG_THUMBNAIL_ORIGINAL_HEIGHT "eog-thumbnail-orig-height"